Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.compound.hyphenation
Class TernaryTree.Iterator

    java.lang.Object
      org.apache.lucene.analysis.compound.hyphenation.TernaryTree.Iterator

All Implemented Interfaces:
  Enumeration<String>

Enclosing class:
  TernaryTree

    public class TernaryTree.Iterator

extends Object
implements Enumeration<String>

Constructor Summary
`TernaryTree.Iterator()`

Method Summary
`char` | `getValue()`
`boolean` | `hasMoreElements()`
`String` | `nextElement()`
`void` | `rewind()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TernaryTree.Iterator

    public TernaryTree.Iterator()

Method Detail

### rewind

    public void rewind()

### nextElement

    public String nextElement()

  Specified by:
    `nextElement` in interface `Enumeration<String>`

### getValue

    public char getValue()

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration<String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD